Sets
        i       Numero de tareas /A,B,C,D,E,F,G,H,I,J/,
        j       Numero de maquinas /1*10/
;


Table c(i,j)    Costo de la tarea i en la maquina j

	1	2	3	4	5	6	7	8	9	10
A	7	4	3	4	4	9	1	5	5	3
B	5	5	6	5	5	6	4	7	2	10
C	9	6	5	7	1	4	3	3	9	5
D	1	1	2	3	4	5	2	4	9	10
E	9	4	9	8	9	8	4	5	1	5
F	9	4	1	3	6	9	10	3	3	9
G	4	5	5	5	7	5	9	25	9	2
H	4	6	5	5	5	2	9	1	8	3
I	5	1	10	15	5	7	8	6	2	5
J	2	6	4	2	2	5	5	3	2	9


;

Variables

x(i,j)  Si la tarea i es realizada por la maquina j ;

Binary variable x;
Free variable z;

Equations

         R1(j)      Una tarea a una maquina.
         R2(i)      Una maquina a una tarea
         F_Obj       Funcion objetivo ;

R1(j) ..     sum(i,x(i,j)) =e= 1;

R2(i) ..     sum(j,x(i,j)) =e= 1;

F_Obj ..     z =e= sum((i,j),c(i,j)*x(i,j));


Model asiganacion /all/ ;

Solve asiganacion using mip minimizing z ;

file sal /salida.txt/;
put sal;

put "VARIABLES X" /;
loop((i,j),

         if (x.l(i,j)=1,
                 put "X(", i.tl, ",", j.tl ")=", x.l(i,j) /;
         );
);
put /;

putclose sal